import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';
import { useI18n } from '/@/hooks/web/useI18n';
const { t } = useI18n();

export const columns: BasicColumn[] = [
  {
    title: t('routes.common.organization.queryOrganizationName'),
    dataIndex: 'name',
    width: 160,
    align: 'left',
  },
  {
    title: t('routes.common.common.sort'), //排序
    dataIndex: 'sort',
    width: 50,
  },
  {
    title: t('routes.common.common.createTime'), //创建时间
    dataIndex: 'createTime',
    width: 180,
  },
  {
    title: t('routes.common.common.remark'), //备注
    dataIndex: 'remark',
    width: 300,
  },
];
export const formSchema: FormSchema[] = [
  {
    field: 'parentId',
    label: t('routes.common.organization.parentOrganization'),
    component: 'TreeSelect',
    componentProps: {
      replaceFields: {
        title: 'name',
        key: 'id',
        value: 'id',
      },
      maxTagCount: 10,
      getPopupContainer: () => document.body,
    },
  },
  {
    field: 'name',
    label: t('routes.common.organization.queryOrganizationName'),
    component: 'Input',
    required: true,
    componentProps: {
      maxLength: 36,
    },
  },
  {
    field: 'sort',
    label: t('routes.common.common.sort'), //排序
    component: 'InputNumber',
    required: true,
    componentProps: {
      maxLength: 32,
    },
  },
  {
    label: t('routes.common.common.remark'), //备注
    field: 'remark',
    component: 'InputTextArea',
    componentProps: {
      maxLength: 255,
    },
    dynamicRules: () => {
      return [
        {
          required: false,
          validator: (_, value) => {
            if (String(value).length > 255) {
              return Promise.reject('字数不超过255个字');
            }
            return Promise.resolve();
          },
        },
      ];
    },
  },
  {
    label: '租户ID',
    field: 'tenantId',
    component: 'Input',
    show: false,
    componentProps: {
      maxLength: 36,
    },
  },
];
